/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PartyRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class CustomerAsBuyer extends RelMgmt.Party.PartyRole {
    public BigDecimal calcTotalSales() {
        return new BigDecimal(0);
    }

    public BigDecimal calcTotalProfitability() {
        return new BigDecimal(0);
    }

    public Vector compareActualVsForecast() {
        return new Vector();
    }

    public Vector compareSalesYTDvsPriorYr() {
        return new Vector();
    }

    public Vector forecastSales() {
        return new Vector();
    }

    public Vector listPendingOrders() {
        return new Vector();
    }

    private String creditRating;
}


